from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '1.1.1'
DESCRIPTION = 'Get weather details of any city or latitude and longitude of the location. without an API key.'

setup(
    name="weatherkit",
    version=VERSION,
    author="Suvan Banerjee",
    author_email="<banerjeesuvan@gmail.com>",
    url="https://github.com/suvanbanerjee/weatherkit",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    install_requires=['geopy'],
    keywords=['python','weather','weatherkit','openweatherapi'],
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.5'
)